Skip to main content
GET
/
customers
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.customers.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "email": "<string>",
      "name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "customer_type": "paid",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "orders_count": 123,
      "total_spend": 123,
      "tags": "<array>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

customer_type
enum<string>

Filter by customer type

Available options:
lead,
free,
paid
query
string

Search by email or name

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of customers

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required